pro std_ts_ICE, masknp, s_iodir_data,  POSTSCRIPT = postscript, _extra = ex

  compile_opt idl2, strictarrsubs
  
@common
@std_common

; get exp1 info
  vICE1 = getenv('VAR1_ICE')   &   prefix = getenv('V1ICE_PREF')    &   suffix = getenv('V1ICE_SUFF')
; get exp2 info
  vICE2 = getenv('VAR2_ICE')   &   prefix2 = getenv('V2ICE_PREF')   &   suffix2 = getenv('V2ICE_SUFF')
; get ice climatology info
  std_file_ice =  isafile(getenv('FILE_ICE'), title = 'ICE Extent Climatology', iodir = std_iodir_climato)
;
  time_ice = ncdf_lec( std_file_ice, VAR='time' )
  time_ice = (time_ice - FLOOR(time_ice) ) * 12
  time_ice = round(time_ice) ; round to nearest integer 
  t1 = where(time_ice eq 0)
  t1 = t1[0] ;  jannuary
  t2 = where(time_ice eq 11, count)
  t2 = t2[count-1] ; last day of december
  nyear = (t2-t1+1)/12
  vICE_ext_NH = ncdf_lec(std_file_ice, VAR=getenv('VAR_ICE_EXT_NH') )
  vICE_ext_NH = vICE_ext_NH[t1:t2]
  vICE_ext_NH = reform(vICE_ext_NH,12,nyear); put in 2D array
  vICE_ext_NH = total(vICE_ext_NH,2)/nyear ;  total over 2th dimension (i.e.years)
; 
  vICE_ext_SH = ncdf_lec(std_file_ice, VAR=getenv('VAR_ICE_EXT_SH') )
  vICE_ext_SH = vICE_ext_SH[t1:t2]
  vICE_ext_SH = reform(vICE_ext_SH,12,nyear); put in 2D array
  vICE_ext_SH = total(vICE_ext_SH,2)/nyear ; total over 2th dimension (i.e.years)
;
  vICE_area_NH = ncdf_lec(std_file_ice, VAR=getenv('VAR_ICE_area_NH') )
  vICE_area_NH = vICE_area_NH[t1:t2]
  vICE_area_NH = reform(vICE_area_NH,12,nyear); put in 2D array
  vICE_area_NH = total(vICE_area_NH,2)/nyear ;  total over 2th dimension (i.e.years)
;
  vICE_area_SH = ncdf_lec(std_file_ice, VAR=getenv('VAR_ICE_area_SH') )
  vICE_area_SH = vICE_area_SH[t1:t2]
  vICE_area_SH = reform(vICE_area_SH,12,nyear); put in 2D array
  vICE_area_SH = total(vICE_area_SH,2)/nyear ; total over 2th dimension (i.e.years)
;  
  cdti3 = string(cnt, format = '(i3.3)')
  print, cdti3 + ') ' + blabla
  filename = cdti3 + '_ts_ICE_'+prefix
  if prefix NE prefix2 then filename = filename + '_'+prefix2
  if KEYWORD_SET(postscript) then openps, filename+'.ps', portrait = 1
;
  d1_d2 = '('+strtrim(date1, 1)+' - '+strtrim(date2, 1)+')'
;
  iodir = std_iodir_data
  ; ICE Extent in NORTH Hemisphere
  domdef, 0, jpi-1, 30, 90, /xindex
  ICE_N = rseries_ncdf(vICE1, date1, date2, prefix, suffix, FIRSTONLY = 1 - allrec)
  ICE_N = grossemoyenne(ICE_N.arr, 'xy', /integration, mask2d = masknp)
  if jpt mod 12 ne 0 then stop
  nyr=jpt/12.
  ice_N = reform(ice_n, 12,nyr)
  ice_n = total(ice_n,2)/nyr
  ICE_N = {arr:ICE_N * 1.e-12, unit : '10^12 m^2'}
  ; ICE EXTENT minus 15% in NORTH Hemisphere
  ICE_N_15 = rseries_ncdf(vICE1, date1, date2, prefix, suffix, FIRSTONLY = 1 - allrec)
  msk = ICE_N_15.arr gt 0.15 ; remove 0.15% for observations
  ICE_N_15 = grossemoyenne( msk, 'xy', /integration, mask2d = masknp)
  if jpt mod 12 ne 0 then stop
  nyr=jpt/12.
  ice_N_15 = reform(ice_n_15, 12,nyr)
  ice_n_15 = total(ice_n_15,2)/nyr
  ICE_N_15 = {arr:ICE_N_15 * 1.e-12, unit : '10^12 m^2'}
  ;
  ;ICE Extent in SOUTH Hemisphere
  domdef, 0, jpi-1, -90, -30, /xindex 
  ICE_S = rseries_ncdf(vICE1, date1, date2, prefix, suffix, FIRSTONLY = 1 - allrec)
  ICE_S = grossemoyenne(ICE_S.arr, 'xy', /integration, mask2d = masknp)
  if jpt mod 12 ne 0 then stop
  nyr=jpt/12.
  ice_S = reform(ice_S, 12,nyr)
  ice_S = total(ice_S,2)/nyr
  ICE_S = {arr:ICE_S * 1.e-12, unit : '10^12 m^2'}
  ; ICE EXTENT minus 15% in SOUTH Hemisphere
  ICE_S_15 = rseries_ncdf(vICE1, date1, date2, prefix, suffix, FIRSTONLY = 1 - allrec)
  msk = ICE_S_15.arr gt 0.15 ; remove 0.15% for observations
  ICE_S_15 = grossemoyenne(msk, 'xy', /integration, mask2d = masknp)
  if jpt mod 12 ne 0 then stop
  nyr=jpt/12.
  ice_S_15 = reform(ice_S_15, 12,nyr)
  ice_S_15 = total(ice_S_15,2)/nyr
  ICE_S_15 = {arr:ICE_S_15 * 1.e-12, unit : '10^12 m^2'}
  ;
  title = prefix+' '+d1_d2+'!C'+'Global Annual Mean Ice Area (North. Hemisp.) (Black SOLID simulation)'+'!C'+ ' and Extend minus 15% (Blue SOLID simulation)'+'!C'+'Observation (dashed)'
  jpt=12
  time=julday(1,15,1900)+30*lindgen(12)
  pltt, ICE_N, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT,MIN = 4., MAX = 16. $
        , small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
  pltt, ICE_N_15, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT $ ; dashed lines is LINESTYLE=2  $
        , /ov1d, COLOR = 100, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex 
  pltt,  vICE_area_NH, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $ 
         , /ov1d, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
  pltt,  vICE_ext_NH, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $ 
        , /ov1d, COLOR = 100, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
;return 
  title = prefix+' '+d1_d2+' - '+'!C'+'Global Annual Mean Ice Area (South. Hemisp.) (Black SOLID simulation)'+'!C'+ ' and Extend minus 15% (Blue SOLID simulation)'+'!C'+'Observation (dashed)'
  pltt, ICE_S, 't', 0., 15.,19000101 ,19001231 , /REMPLI, /NOERASE , MIN = 0., MAX = 20. $
        , small = [1, 2, 2], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
  pltt, ICE_S_15, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT $ 
        , /ov1d, COLOR = 100, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex 
  pltt,  vICE_area_SH, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $ 
         , /ov1d, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
  pltt,  vICE_ext_SH, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $ 
        , /ov1d, COLOR = 100, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
;return
  htmltxt = [ htmltxt, '<hr>'+blabla, '<br><img width="80%" src='+filename+'.png  />  ' ]
  if KEYWORD_SET(postscript) then closeps

  if prefix NE prefix2 then BEGIN

    d1_d2_2 = '('+strtrim(date1_2, 1)+' - '+strtrim(date2_2, 1)+')'
    tsave = time
    domdef, 0, jpi-1, 30, 90, /xindex
    ;ICE Extent in NORTH Hemisphere
    ICE_N2 = rseries_ncdf(vICE2, date1_2, date2_2, prefix2, suffix2, FIRSTONLY = 1 - allrec)
    ICE_N2 = grossemoyenne(ICE_N2.arr, 'xy', /integration, mask2d = masknp)
    if jpt mod 12 ne 0 then stop
    nyr=jpt/12.
    ICE_N2 = reform(ICE_N2, 12,nyr)
    ICE_N2 = total(ICE_N2,2)/nyr
    ICE_N2 = {arr:ICE_N2 * 1.e-12, unit : '10^12 m^2'}
    ;ICE Extent minus 15% in NORTH Hemisphere
    ICE_N2_15 = rseries_ncdf(vICE2, date1_2, date2_2, prefix_2, suffix_2, FIRSTONLY = 1 - allrec)
    msk = ICE_N2_15.arr gt 0.15  ; remove 0.15% for observations
    ICE_N2_15 = grossemoyenne( msk, 'xy', /integration, mask2d = masknp)
    if jpt mod 12 ne 0 then stop
    nyr=jpt/12.
    ICE_N2_15 = reform(ICE_N2_15, 12,nyr)
    ICE_N2_15 = total(ICE_N2_15,2)/nyr
    ICE_N2_15 = {arr:ICE_N2_15 * 1.e-12, unit : '10^12 m^2'}
    ;ICE Extent in SOUTH Hemisphere
    domdef, 0, jpi-1, -90, -30, /xindex 
    ICE_S2 = rseries_ncdf(vICE2, date1_2, date2_2, prefix_2, suffix_2, FIRSTONLY = 1 - allrec)
    ICE_S2 = grossemoyenne(ICE_S2.arr, 'xy', /integration, mask2d = masknp)
    if jpt mod 12 ne 0 then stop
    nyr=jpt/12.
    ICE_S2 = reform(ICE_S2, 12,nyr)
    ICE_S2 = total(ICE_S2,2)/nyr
    ICE_S2 = {arr:ICE_S2 * 1.e-12, unit : '10^12 m^2'}
    ;ICE Extent minus 15% in SOUTH Hemisphere
    ICE_S2_15 = rseries_ncdf(vICE2, date1_2, date2_2, prefix_2, suffix_2, FIRSTONLY = 1 - allrec)
    msk = ICE_S2_15.arr gt 0.15  ; remove 0.15% for observations
    ICE_S2_15 = grossemoyenne(msk, 'xy', /integration, mask2d = masknp)
    if jpt mod 12 ne 0 then stop
    nyr=jpt/12.
    ice_S2_15 = reform(ICE_S2_15, 12,nyr)
    ice_S2_15 = total(ICE_S2_15,2)/nyr
    ICE_S2_15 = {arr:ICE_S2_15 * 1.e-12, unit : '10^12 m^2'}
  ;
    time = tsave   &   IF n_elements(time) NE jpt THEN stop

    if KEYWORD_SET(postscript) then openps, filename+'.ps', portrait = 1

    title = prefix+' '+d1_d2+' - '+prefix2+' '+d1_d2_2+'!C'+'Global Annual Mean Ice Area (North. Hemisp.) (Red SOLID simulation)  and Extend minus 15% (Blue SOLID simulation)'
    pltt, ICE_N.arr - ICE_N2.arr, 't', -2., 2., date1, date2, /REMPLI, /PORTRAIT, window = 2 $
          , COLOR = 250, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
    pltt, ICE_N_15.arr -  ICE_N2_15.arr , 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT $ ; linee tratteggiate LINESTYLE=2  $
      , /ov1d, COLOR = 100, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
    
    title = prefix+' '+d1_d2+' - '+prefix2+' '+d1_d2_2+'!C'+'Global Annual Mean Ice Area (South. Hemisp.) (Red SOLID simulation)  and Extend minus 15% (Blue SOLID simulation)'
    pltt, ICE_S.arr - ICE_S2.arr, 't', -2., 2., date1, date2, /REMPLI, /NOERASE $
          , COLOR = 250, small = [1, 2, 2], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
    pltt, ICE_S_15.arr -  ICE_S2_15.arr , 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT $ ; linee tratteggiate LINESTYLE=2  $
      , /ov1d, COLOR = 100, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
    

    htmltxt = [ htmltxt, '<hr>'+blabla, '<br><img width="80%" src='+filename+'.png  />  ' ]
    if KEYWORD_SET(postscript) then closeps

  endif

  domdef
  

  return
end
